org.eclipse.jgit.util.io

## Class EolCanonicalizingInputStream.IsBinaryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.util.io.EolCanonicalizingInputStream.IsBinaryException

All Implemented Interfaces:
  Serializable

Enclosing class:
  EolCanonicalizingInputStream

    public static class EolCanonicalizingInputStream.IsBinaryException
    extends IOException

A special exception thrown when `EolCanonicalizingInputStream` is told to throw an exception when attempting to read a binary file. The exception may be thrown at any stage during reading.

Since:
  3.3
See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`